<?php

declare(strict_types=1);

namespace apexl\Vault\enums;

use Henzeb\Enumhancer\Concerns\Getters;

enum WhereCondition: string
{
    use Getters;

    case EQUALS = '=';
    case LIKE = 'LIKE';
    case GREATER_THAN = '>';
    case GREATER_THAN_OR_EQUAL = '>=';
    case LESS_THAN = '<';
    case LESS_THAN_OR_EQUAL = '<=';
    case IS_NULL = 'IS NULL';
    case IS_NOT_NULL = 'IS NOT NULL';
    case IN = 'IN';
    case NOT_IN = 'NOT IN';
    case REGEXP = 'REGEXP';
}
